## calligra 2.7.0

=== debian/changelog ===
calligra (1:2.7.0-0ubuntu3) saucy; urgency=low

  * No-change rebuild for new poppler ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 30 Jul 2013 17:33:25 +0000

calligra (1:2.7.0-0ubuntu2) saucy; urgency=low

  * Sort install files to match Debian
  * Add qreal_double.patch to fix build on armhf

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Jul 2013 23:46:46 -0400

calligra (1:2.7.0-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Add kubuntu_release_type.diff, fix the new release mode detection
    for the "Debian" release mode
  * calligraplan recommends default-jre for MS Plan import

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 16 Jul 2013 21:04:05 +0000

calligra (1:2.6.92-0ubuntu8) saucy; urgency=low

  * Add debian/patches/fix_implicit_coercion.diff to fix FTBFS on armhf
    - Thanks to Michael D. Stemle, Jr for the patch

 -- Scott Kitterman <scott@kitterman.com>  Thu, 27 Jun 2013 11:17:39 -0400

calligra (1:2.6.92-0ubuntu7) saucy; urgency=low

  * Edit debian/control to make krita-data break krita (<< 2.6.92)
    to stop installation errors. 

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 26 Jun 2013 22:40:59 +0800

calligra (1:2.6.92-0ubuntu6) saucy; urgency=low

  * libglew-dev build-dep not on armel,armhf

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Jun 2013 12:42:34 +0100

calligra (1:2.6.92-0ubuntu5) saucy; urgency=low

  * Bump replaces/breaks for moved files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 15:33:47 +0100

calligra (1:2.6.92-0ubuntu4) saucy; urgency=low

  * Update kubuntu_arm_cast.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Jun 2013 13:48:34 +0100

calligra (1:2.6.92-0ubuntu3) saucy; urgency=low

  * Add kubuntu_arm_cast.diff to fix compile on arm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 15:26:29 +0100

calligra (1:2.6.92-0ubuntu2) saucy; urgency=low

  * Install some plugins lost in not-installed
  * Don't use opencolorio on arm or powerpc, it does not exist there

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jun 2013 13:57:42 +0100

=== debian/rules ===
#!/usr/bin/make -f

lib_pkgs := calligra-libs

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export CPP=gcc-4.7
export CXX=g++-4.7

%:
	dh $@ --parallel --with kde --with sodeps

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=OFF

override_dh_install:
	dh_install --list-missing
ifeq ($(DEB_HOST_ARCH),i386)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/krita_lutdocker.desktop
endif
ifeq ($(DEB_HOST_ARCH),amd64)
	dh_install --autodest -pkrita usr/lib/kde4/kritalutdocker.so
	dh_install --autodest -pkrita usr/share/kde4/services/krita_lutdocker.desktop
endif

override_dh_strip:
	dh_strip --dbg-package=calligra-dbg

override_dh_shlibdeps:
	dh_shlibdeps $(addprefix -p,$(lib_pkgs)) -- -xkde-runtime -xkdepim-runtime
	dh_shlibdeps --remaining-packages

.PHONY: override_dh_auto_test

## calligra 2.7.1

=== CMakeLists.txt ===
project(calligra)

cmake_minimum_required(VERSION 2.8.0 FATAL_ERROR)

cmake_policy(SET CMP0002 OLD)

#cmake_policy CMP0017 was introduced in version 2.8.4
if(${CMAKE_VERSION} VERSION_GREATER 2.8.3)
    cmake_policy(SET CMP0017 NEW)
endif()

 ############
#############
## Options ##
#############
############

 ######################
#######################
## Constants defines ##
#######################
######################

# define the generic version of the Calligra libraries here
# this makes it easy to advance it when the next Calligra release comes
set(GENERIC_CALLIGRA_LIB_VERSION "12.0.0")
set(GENERIC_CALLIGRA_LIB_SOVERSION "12")

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )


 ####################
#####################
## Product defines ##
#####################
####################

# There are currently 4 product sets predefined:
# "ACTIVE", "CREATIVE", "DESKTOP", "ALL" (default).
# One can define her/his own set, see cmake/productsts/README

# Finding out the products to build is done in x steps:
# 1. have the user define the products wanted
# 2. estimate all additional required products
# 3. estimate which of the products can be build by external deps
# 4. estimate which of the products can be build by internal deps

include(CalligraProductSetMacros)

if(NOT DEFINED RELEASE_BUILD)
    # estimate mode by CMAKE_BUILD_TYPE content if not set on cmdline
    string(TOLOWER "${CMAKE_BUILD_TYPE}" CMAKE_BUILD_TYPE_TOLOWER)
    set(RELEASE_BUILD_TYPES "release" "relwithdebinfo" "minsizerel")
    list(FIND RELEASE_BUILD_TYPES "${CMAKE_BUILD_TYPE_TOLOWER}" INDEX)
    if (INDEX EQUAL -1)
        set(RELEASE_BUILD FALSE)
    else(INDEX EQUAL -1)
        set(RELEASE_BUILD TRUE)
    endif(INDEX EQUAL -1)
endif(NOT DEFINED RELEASE_BUILD)
message(STATUS "Release build: ${RELEASE_BUILD}")

if (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING FALSE)
else (RELEASE_BUILD)
    set(CALLIGRA_SHOULD_BUILD_STAGING TRUE)
endif (RELEASE_BUILD)


option(GHNS "support Get Hot New Stuff" OFF)
option(NEPOMUK "support NEPOMUK Tagging" ON)
# TODO: orthogonal setting, results in minimal features, yet needs to be defined
# option(TINY "compile a tiny Calligra" OFF)
option(QT3SUPPORT "Build the parts of Calligra that still depend on Qt3" ON)
option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

# TODO: remove option and migration code below before 3.0 release
option(CREATIVEONLY "compile only Karbon and Krita" OFF)

#
# WARNING: don't change the SHOULD_BUILD_app if an application
# doesn't build, but rather add the following line:
# option(BUILD_app "Build directory app" OFF)
#
#eg:
#option(BUILD_kexi "Build directory kexi" OFF) # kexi isn't buildable at the moment
if(WIN32)
    option(BUILD_braindump "Build directory braindump" OFF) # braindump is unmaintained on Windows.
endif()

# temporary migration support
set(PRODUCTSET_DEFAULT "ALL")
if (CREATIVEONLY)
    set(WARN_ABOUT_CREATIVEONLY TRUE)
    set(PRODUCTSET_DEFAULT "CREATIVE")
endif (CREATIVEONLY)

if(NOT PRODUCTSET)
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products to build" FORCE)
endif(NOT PRODUCTSET)

# TODO: also add headers/sdk for all the libs ("_DEVEL"?)
# TODO: note external deps for products, so they are only checked if needed
# There can be required or optional external deps, required will also result
# in automatic disabling of product building
# TODO: some products have multiple optional requirements, but need at least one.
# See CONVERTER, EXTRA_*

# 3rd-party libs
calligra_define_product(LIB_KDGANTT "libkdgantt")
calligra_define_product(LIB_KDCHART "libkdchart")
calligra_define_product(LIB_WRITERPERFECT "libwriterperfect")
# Calligra-independent utility libs
calligra_define_product(LIB_VECTORIMAGE "libvectorimage")
calligra_define_product(LIB_KOPROPERTY "libkoproperty")
calligra_define_product(LIB_KOREPORT "libkoreport" NEEDS LIB_KOPROPERTY)
calligra_define_product(LIB_CALLIGRADB "libcalligradb")
# calligra libs
calligra_define_product(CALLIGRA_LIBS "Calligra core libs")
calligra_define_product(LIB_KOPAGEAPP "Lib for paged documents"  NEEDS CALLIGRA_LIBS)
calligra_define_product(LIB_ODFTRAVERSE "libodftraverse"  NEEDS CALLIGRA_LIBS)
calligra_define_product(LIB_MSO "libmso"  NEEDS CALLIGRA_LIBS)
calligra_define_product(LIB_MSOOXML "libmsooxml"  NEEDS CALLIGRA_LIBS)
calligra_define_product(SCRIPTING "") # TODO
# plugins
calligra_define_product(PLUGIN_TEXTSHAPE ""  NEEDS CALLIGRA_LIBS)
# apps
calligra_define_product(WORDS_PART "Words engine" NEEDS CALLIGRA_LIBS PLUGIN_TEXTSHAPE)
calligra_define_product(WORDS_APP "Words executable (for Desktop)"  NEEDS WORDS_PART)
calligra_define_product(STAGE_PART "Stage engine"  NEEDS CALLIGRA_LIBS LIB_KOPAGEAPP)
calligra_define_product(STAGE_APP "Stage executable (for Desktop)"  NEEDS STAGE_PART)
calligra_define_product(SHEETS_PART "Sheets engine"  NEEDS CALLIGRA_LIBS)
calligra_define_product(SHEETS_APP "Sheets executable (for Desktop)"  NEEDS SHEETS_PART)
calligra_define_product(AUTHOR_APP "Full Author (for Desktop)"  NEEDS WORDS_PART)
calligra_define_product(KARBON_APP "Full Karbon (for Desktop)"  NEEDS CALLIGRA_LIBS)
calligra_define_product(KEXI_APP "Full Kexi (for Desktop)"  NEEDS CALLIGRA_LIBS LIB_KOREPORT LIB_CALLIGRADB)
calligra_define_product(FLOW_APP "Full Flow (for Desktop)"  NEEDS CALLIGRA_LIBS LIB_KOPAGEAPP)
calligra_define_product(PLAN_APP "Full Plan (for Desktop)"  NEEDS CALLIGRA_LIBS LIB_KOREPORT LIB_KDCHART LIB_KDGANTT)
calligra_define_product(BRAINDUMP_APP "Full Braindump (for Desktop)"  NEEDS CALLIGRA_LIBS)
calligra_define_product(DOC "Calligra Documentations")
# extras
calligra_define_product(CONVERTER "Format converter for commandline"  NEEDS CALLIGRA_LIBS)
calligra_define_product(EXTRA_PROPERTIES "Plugin for the KDE file properties dialog"  NEEDS CALLIGRA_LIBS)
calligra_define_product(EXTRA_THUMBNAIL "Plugins for KDE filesystem thumbnailing"  NEEDS CALLIGRA_LIBS)
calligra_define_product(EXTRA_QUICKPRINT "Plugin for the KDE filemanager adding a \"Print\" action")
calligra_define_product(OKULARODPGENERATOR "Plugin for Okular adding support for ODP and MS PPT/PPTX" NEEDS STAGE_PART)
# more plugins
calligra_define_product(PLUGIN_COLORENGINES ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_MUSICSHAPE ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_SPACENAVIGATOR ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_ARTISTICTEXTSHAPE ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_DOCKERS ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_TEXTEDITING ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_KEXI_SPREADSHEETMIGRATION ""  NEEDS KEXI_APP SHEETS_PART)
calligra_define_product(PLUGIN_DEFAULTTOOLS ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_PATHSHAPES ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_VARIABLES ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_CHARTSHAPE "" NEEDS CALLIGRA_LIBS LIB_KDCHART)
calligra_define_product(PLUGIN_PICTURESHAPE ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_PLUGINSHAPE ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_FORMULASHAPE ""  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_VIDEOSHAPE "Plugin for handling videos in Calligra"  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_VECTORSHAPE "" NEEDS CALLIGRA_LIBS LIB_VECTORIMAGE)
calligra_define_product(PLUGIN_REPORTING ""  NEEDS LIB_KOREPORT LIB_KDCHART)
# staging plugins
calligra_define_product(PLUGIN_GOOGLEDOCS "" STAGING  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_THREEDSHAPE ""  STAGING  NEEDS CALLIGRA_LIBS)
calligra_define_product(PLUGIN_SHEETS_PIVOTTABLES ""  STAGING  NEEDS SHEETS_PART)
# Sheets filters
calligra_define_product(FILTER_XLSX_TO_ODS "XLSX to ODS filter" NEEDS LIB_MSOOXML SHEETS_PART)
calligra_define_product(FILTER_XLS_TO_SHEETS "Sheets XLS import filter" NEEDS LIB_MSO LIB_MSOOXML SHEETS_PART)
calligra_define_product(FILTER_SHEETS_TO_XLS "Sheets XLS export filter" NEEDS LIB_MSO LIB_MSOOXML SHEETS_PART)
calligra_define_product(FILTER_CSV_TO_SHEETS "Sheets CSV import filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_SHEETS_TO_CSV "Sheets CSV export filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_APPLIXSPREAD_TO_KSPREAD "Applix Spreadsheet to KSpread filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_DBASE_TO_KSPREAD "dBASE to KSpread filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_GNUMERIC_TO_SHEETS "Sheets GNUMERIC import filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_SHEETS_TO_GNUMERIC "Sheets GNUMERIC import filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_OPENCALC_TO_SHEETS "Sheets OpenOffice.org Calc import filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_SHEETS_TO_OPENCALC "Sheets OpenOffice.org Calc export filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_QUATTROPRO_TO_SHEETS "Sheets Quattro Pro import filter" NEEDS SHEETS_PART)
calligra_define_product(FILTER_HTML_TO_ODS "HTML to ODS filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_SHEETS_TO_HTML "Sheets HTML export filter"  NEEDS SHEETS_PART)
calligra_define_product(FILTER_KSPREAD_TO_LATEX "KSpread to LaTeX filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_SHEETS_IMPORT "All Sheets import filter"  WANTS FILTER_XLSX_TO_ODS FILTER_XLS_TO_SHEETS FILTER_CSV_TO_SHEETS FILTER_APPLIXSPREAD_TO_KSPREAD FILTER_DBASE_TO_KSPREAD FILTER_GNUMERIC_TO_SHEETS FILTER_OPENCALC_TO_SHEETS FILTER_QUATTROPRO_TO_SHEETS FILTER_HTML_TO_ODS)
calligra_define_product(FILTER_SHEETS_EXPORT "All Sheets export filter"  WANTS FILTER_SHEETS_TO_XLS FILTER_SHEETS_TO_CSV FILTER_SHEETS_TO_GNUMERIC FILTER_SHEETS_TO_OPENCALC FILTER_SHEETS_TO_HTML FILTER_KSPREAD_TO_LATEX)
calligra_define_product(FILTER_SHEETS "All Sheets filter"  WANTS FILTER_SHEETS_IMPORT FILTER_SHEETS_EXPORT)
# Flow filters
calligra_define_product(FILTER_VISIO_TO_ODG "Visio to ODG filter"  NEEDS LIB_WRITERPERFECT CALLIGRA_LIBS)
calligra_define_product(FILTER_FLOW_IMPORT "All Flow import filter"  WANTS FILTER_VISIO_TO_ODG)
calligra_define_product(FILTER_FLOW_EXPORT "All Flow export filter"  WANTS )
calligra_define_product(FILTER_FLOW "All Flow filter"  WANTS FILTER_FLOW_IMPORT FILTER_FLOW_EXPORT)
# Stage filters
calligra_define_product(FILTER_KPR_TO_OPD "KPresenter to ODP filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_PPT_TO_ODP "PPT to OPD filter" NEEDS LIB_MSO CALLIGRA_LIBS)
calligra_define_product(FILTER_PPTX_TO_ODP "PPTX to ODP filter" NEEDS LIB_MSOOXML CALLIGRA_LIBS)
calligra_define_product(FILTER_STAGE_IMPORT "All Stage import filter"  WANTS FILTER_KPR_TO_OPD FILTER_PPT_TO_ODP FILTER_PPTX_TO_ODP)
calligra_define_product(FILTER_STAGE_EXPORT "All Stage export filter"  WANTS )
calligra_define_product(FILTER_STAGE "All Stage filter"  WANTS FILTER_STAGE_IMPORT FILTER_STAGE_EXPORT)
# Words filters
calligra_define_product(FILTER_DOC_TO_ODT "DOC to ODT filter" NEEDS LIB_MSO LIB_MSOOXML CALLIGRA_LIBS)
calligra_define_product(FILTER_DOCX_TO_ODT "DOCX to ODT filter" NEEDS LIB_MSOOXML CALLIGRA_LIBS)
calligra_define_product(FILTER_WORDPERFECT_TO_ODT "Word Perfect to ODT filter"  NEEDS LIB_WRITERPERFECT CALLIGRA_LIBS)
calligra_define_product(FILTER_WORKS_TO_ODT "MS Works to ODT filter"  NEEDS LIB_WRITERPERFECT CALLIGRA_LIBS)
calligra_define_product(FILTER_APPLIXWORD_TO_ODT "Applixword to ODT filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_ASCII_TO_WORDS "Words ASCII import filter"  NEEDS WORDS_PART)
calligra_define_product(FILTER_ODT_TO_ASCII "ODT to ASCII filter"  NEEDS LIB_ODFTRAVERSE CALLIGRA_LIBS)
calligra_define_product(FILTER_RTF_TO_ODT "RTF to ODT filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_ODT_TO_MOBI "Mobi export filter"  NEEDS CALLIGRA_LIBS)
calligra_define_product(FILTER_ODT_TO_EPUB2 "ODT Epub2 export filter"  NEEDS LIB_VECTORIMAGE CALLIGRA_LIBS)

=== 3rdparty/CMakeLists.txt ===
if (SHOULD_BUILD_LIB_KDGANTT)
    add_subdirectory(kdgantt)
endif (SHOULD_BUILD_LIB_KDGANTT)

if (SHOULD_BUILD_LIB_KDCHART)
    add_subdirectory(kdchart)
endif (SHOULD_BUILD_LIB_KDCHART)

=== interfaces/CMakeLists.txt ===
install(FILES KoGenericRegistry.h KoID.h KoChartInterface.h KoChartModel.h
        DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== libs/CMakeLists.txt ===
if (SHOULD_BUILD_CALLIGRA_LIBS)
    add_subdirectory( koplugin )
    add_subdirectory( widgetutils )
    add_subdirectory( widgets )
    add_subdirectory( odf )
    add_subdirectory( textlayout )
    add_subdirectory( kotext )
    add_subdirectory( flake )
    add_subdirectory( basicflakes )
    add_subdirectory( pigment )
    add_subdirectory( main )
    add_subdirectory( kundo2 )
endif (SHOULD_BUILD_CALLIGRA_LIBS)

if (SHOULD_BUILD_SCRIPTING)
    add_subdirectory( kokross )
endif (SHOULD_BUILD_SCRIPTING)

if (SHOULD_BUILD_LIB_VECTORIMAGE)
    add_subdirectory( vectorimage )
endif (SHOULD_BUILD_LIB_VECTORIMAGE)

if (SHOULD_BUILD_LIB_KOPAGEAPP)
    add_subdirectory( kopageapp )
endif (SHOULD_BUILD_LIB_KOPAGEAPP)

if(SHOULD_BUILD_LIB_KOPROPERTY)
    add_subdirectory( koproperty ) # TODO move to independent place like kdesupport
endif(SHOULD_BUILD_LIB_KOPROPERTY)

if (SHOULD_BUILD_LIB_CALLIGRADB)
    add_subdirectory( db ) # used by Kexi and Word's Biblio; TODO: remove when Predicate lib arrives
endif (SHOULD_BUILD_LIB_CALLIGRADB)

# only build koreport if possible
if (SHOULD_BUILD_LIB_KOREPORT)
    add_subdirectory( koreport )
endif (SHOULD_BUILD_LIB_KOREPORT)

if (Soprano_FOUND)
    add_subdirectory( rdf )
endif (Soprano_FOUND)

=== 3rdparty/kdgantt/CMakeLists.txt ===
include_directories(
    ${QT_INCLUDES}
    ${KDGANTT_INCLUDES}
)

add_definitions(-DKDAB_NO_UNIT_TESTS -DKDGANTT_SHAREDLIB -DKDGANTT_BUILD_KDGANTT_LIB)

set( kdgantt_LIB_SRCS
    kdganttglobal.cpp
    kdganttview.cpp
    kdganttstyleoptionganttitem.cpp
    kdganttgraphicsview.cpp
    kdganttabstractrowcontroller.cpp
    kdgantttreeviewrowcontroller.cpp
    kdganttlistviewrowcontroller.cpp
    kdganttgraphicsscene.cpp
    kdganttgraphicsitem.cpp
    kdganttconstraint.cpp
    kdganttconstraintproxy.cpp
    kdganttconstraintgraphicsitem.cpp
    kdganttitemdelegate.cpp
    kdganttforwardingproxymodel.cpp
    kdganttsummaryhandlingproxymodel.cpp
    kdganttproxymodel.cpp
    kdganttconstraintmodel.cpp
    kdganttabstractgrid.cpp
    kdganttdatetimegrid.cpp
    kdganttlegend.cpp
    kdgantttimescalezoomdialog.cpp
)

kde4_add_library(calligrakdgantt SHARED ${kdgantt_LIB_SRCS})

target_link_libraries(calligrakdgantt ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})
target_link_libraries(calligrakdgantt LINK_INTERFACE_LIBRARIES ${QT_QTGUI_LIBRARY} ${QT_QTCORE_LIBRARY})

set_target_properties(calligrakdgantt PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION}
    SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS calligrakdgantt ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== braindump/data/CMakeLists.txt ===
add_subdirectory(states)
add_subdirectory(icons)

### Services ###
install( FILES
    braindump_extensions.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR})

### GUI files ###
install( FILES braindumpui.rc braindumpview.rc DESTINATION ${DATA_INSTALL_DIR}/braindump)

install( FILES import/zoom-pixels.png DESTINATION ${DATA_INSTALL_DIR}/braindump/icons/hicolor/22x22/actions)

### desktop files ###
install( PROGRAMS braindump.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== braindump/src/CMakeLists.txt ===

include_directories (${KDE4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} ${KOTEXT_INCLUDES} ${KOMAIN_INCLUDES} )

### braindump ###
set(braindump_SRCS
  main.cpp
  Canvas.cpp
  DocumentModel.cpp
  Layout.cpp
  LayoutFactory.cpp
  LayoutFactoryRegistry.cpp
  MainWindow.cpp
  RootSection.cpp
  SectionsBoxDock.cpp
  Section.cpp
  SectionContainer.cpp
  SectionGroup.cpp
  SectionPropertiesDock.cpp
  SectionShapeContainerModel.cpp
  SectionsIO.cpp
  TreeSortFilter.cpp
  Utils.cpp
  View.cpp
  ViewManager.cpp
  # Layouts
  layouts/ColumnLayout.cpp
  layouts/FreeLayout.cpp
  # Commands
  commands/ChangeLayoutCommand.cpp
  commands/MoveSectionCommand.cpp
  commands/InsertSectionCommand.cpp
  commands/RememberPositionCommand.cpp
  commands/RemoveSectionCommand.cpp
  commands/RenameSectionCommand.cpp
  # Imported file
  import/DockerManager.cpp
  import/ToolDocker.cpp
)

kde4_add_ui_files(braindump_SRCS
  forms/wdgsectionsbox.ui
    forms/wdgsectionproperties.ui
)

kde4_add_app_icon( braindump_SRCS "../data/icons/hi*-app-braindump.png" )

kde4_add_executable(braindump ${braindump_SRCS})

target_link_libraries(braindump ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_KDEUI_LIBS} flake kotext kowidgets braindumpcore komain)

install(TARGETS braindump ${INSTALL_TARGETS_DEFAULT_ARGS})

=== extras/converter/CMakeLists.txt ===
include_directories(${KOMAIN_INCLUDES})

set(calligraconverter_SRCS calligraconverter.cpp)

kde4_add_executable(calligraconverter ${calligraconverter_SRCS})

target_link_libraries(calligraconverter komain)

install(TARGETS calligraconverter ${INSTALL_TARGETS_DEFAULT_ARGS})

=== flow/stencils/CMakeLists.txt ===
file(GLOB Map_Stencils "Map/*.odg" "Map/*.desktop" "Map/*.png")
file(GLOB Electronic_Stencils "Electronic/*.odg" "Electronic/*.desktop" "Electronic/*.png")
file(GLOB Network_Stencils "Network/*.odg" "Network/*.desktop" "Network/*.png")
file(GLOB MSE_Stencils "MSE/*.odg" "MSE/*.desktop" "MSE/*.png")
file(GLOB Logic_Stencils "Logic/*.odg" "Logic/*.desktop" "Logic/*.png")
file(GLOB Value_Stream_Mapping_Stencils "Value_Stream_Mapping/*.odg" "Value_Stream_Mapping/*.desktop" "Value_Stream_Mapping/*.png")
file(GLOB BPMN_Stencils "BPMN/*.odg" "BPMN/*.desktop" "BPMN/*.png")
file(GLOB Flags_Stencils "Flags/*.odg" "Flags/*.desktop" "Flags/*.png")
file(GLOB Assorted_Stencils "Assorted/*.odg" "Assorted/*.desktop" "Assorted/*.png")
file(GLOB Edpc_Stencils "Edpc/*.odg" "Edpc/*.desktop" "Edpc/*.png")
file(GLOB Central_Data_Processing_Stencils "Central_Data_Processing/*.odg" "Central_Data_Processing/*.desktop" "Central_Data_Processing/*.png")
file(GLOB Optics_Stencils "Optics/*.odg" "Optics/*.desktop" "Optics/*.png")
file(GLOB Scenegraph_Stencils "Scenegraph/*.odg" "Scenegraph/*.desktop" "Scenegraph/*.png")
file(GLOB Cisco_Stencils "Cisco/*.odg" "Cisco/*.desktop" "Cisco/*.png")
file(GLOB Circuit_Stencils "Circuit/*.odg" "Circuit/*.desktop" "Circuit/*.png")
file(GLOB Pneumatic_Stencils "Pneumatic/*.odg" "Pneumatic/*.desktop" "Pneumatic/*.png")
file(GLOB Misc_Stencils "Misc/*.odg" "Misc/*.desktop" "Misc/*.png")
file(GLOB ChemEng_Stencils "ChemEng/*.odg" "ChemEng/*.desktop" "ChemEng/*.png")
file(GLOB Building_Site_Stencils "Building_Site/*.odg" "Building_Site/*.desktop" "Building_Site/*.png")
file(GLOB Gane_and_Sarson_Stencils "Gane_and_Sarson/*.odg" "Gane_and_Sarson/*.desktop" "Gane_and_Sarson/*.png")
file(GLOB Civil_Stencils "Civil/*.odg" "Civil/*.desktop" "Civil/*.png")
file(GLOB Cybernetics_Stencils "Cybernetics/*.odg" "Cybernetics/*.desktop" "Cybernetics/*.png")
file(GLOB LST_Stencils "LST/*.odg" "LST/*.desktop" "LST/*.png")
file(GLOB Circuit2_Stencils "Circuit2/*.odg" "Circuit2/*.desktop" "Circuit2/*.png")
file(GLOB Electric_Stencils "Electric/*.odg" "Electric/*.desktop" "Electric/*.png")
file(GLOB Lights_Stencils "Lights/*.odg" "Lights/*.desktop" "Lights/*.png")
file(GLOB CMOS_Stencils "CMOS/*.odg" "CMOS/*.desktop" "CMOS/*.png")
file(GLOB SDL_Stencils "SDL/*.odg" "SDL/*.desktop" "SDL/*.png")
file(GLOB RDP_Stencils "RDP/*.odg" "RDP/*.desktop" "RDP/*.png")
file(GLOB Contact_Stencils "Contact/*.odg" "Contact/*.desktop" "Contact/*.png")
file(GLOB Digital_Stencils "Digital/*.odg" "Digital/*.desktop" "Digital/*.png")
file(GLOB Renewable_Energy_Stencils "Renewable_Energy/*.odg" "Renewable_Energy/*.desktop" "Renewable_Energy/*.png")
file(GLOB Chemistry_Lab_Stencils "Chemistry_Lab/*.odg" "Chemistry_Lab/*.desktop" "Chemistry_Lab/*.png")
file(GLOB Gradient_Stencils "Gradient/*.odg" "Gradient/*.desktop" "Gradient/*.png")
file(GLOB Electric2_Stencils "Electric2/*.odg" "Electric2/*.desktop" "Electric2/*.png")
file(GLOB Basic_Flowchart_Stencils "Basic_Flowchart/*.odg" "Basic_Flowchart/*.desktop" "Basic_Flowchart/*.png")
file(GLOB Sybase_Stencils "Sybase/*.odg" "Sybase/*.desktop" "Sybase/*.png")
file(GLOB Racks_Stencils "Racks/*.odg" "Racks/*.desktop" "Racks/*.png")
file(GLOB Jigsaw_Stencils "Jigsaw/*.odg" "Jigsaw/*.desktop" "Jigsaw/*.png")


install( FILES ${Map_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Map)
install( FILES ${Electronic_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Electronic)
install( FILES ${Network_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Network)
install( FILES ${MSE_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/MSE)
install( FILES ${Logic_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Logic)
install( FILES ${Value_Stream_Mapping_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Value_Stream_Mapping)
install( FILES ${BPMN_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/BPMN)
install( FILES ${Flags_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Flags)
install( FILES ${Assorted_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Assorted)
install( FILES ${Edpc_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Edpc)
install( FILES ${Central_Data_Processing_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Central_Data_Processing)
install( FILES ${Optics_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Optics)
install( FILES ${Scenegraph_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Scenegraph)
install( FILES ${Cisco_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Cisco)
install( FILES ${Circuit_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Circuit)
install( FILES ${Pneumatic_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Pneumatic)
install( FILES ${Misc_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Misc)
install( FILES ${ChemEng_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/ChemEng)
install( FILES ${Building_Site_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Building_Site)
install( FILES ${Gane_and_Sarson_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Gane_and_Sarson)
install( FILES ${Civil_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Civil)
install( FILES ${Cybernetics_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Cybernetics)
install( FILES ${LST_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/LST)
install( FILES ${Circuit2_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Circuit2)
install( FILES ${Electric_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Electric)
install( FILES ${Lights_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Lights)
install( FILES ${CMOS_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/CMOS)
install( FILES ${SDL_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/SDL)
install( FILES ${RDP_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/RDP)
install( FILES ${Contact_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Contact)
install( FILES ${Digital_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Digital)
install( FILES ${Renewable_Energy_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Renewable_Energy)
install( FILES ${Chemistry_Lab_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Chemistry_Lab)
install( FILES ${Gradient_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Gradient)
install( FILES ${Electric2_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Electric2)
install( FILES ${Basic_Flowchart_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Basic_Flowchart)
install( FILES ${Sybase_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Sybase)
install( FILES ${Racks_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Racks)
install( FILES ${Jigsaw_Stencils} DESTINATION ${DATA_INSTALL_DIR}/flow/stencils/Jigsaw)

=== kexi/core/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44020)

include_directories( ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${CMAKE_SOURCE_DIR}/kexi ${KDE4_INCLUDES}  )

ADD_DEFINITIONS( 
-DKEXI_NO_CTXT_HELP=1
)

########### next target ###############

set(kexicore_LIB_SRCS 
   kexi_global.cpp 
   kexi.cpp 
   kexiaboutdata.cpp 
   KexiMainWindowIface.cpp
   KexiStandardAction.cpp
   kexidbconnectionset.cpp 
   kexiprojectset.cpp 
   kexiactionproxy.cpp 
   kexisharedactionhost.cpp 
   kexiactioncategories.cpp
   kexiproject.cpp 
   KexiWindow.cpp 
   KexiWindowData.cpp 
   KexiView.cpp 
   kexipartmanager.cpp 
   kexipartinfo.cpp 
   kexipartitem.cpp 
   kexipart.cpp 
   kexiprojectdata.cpp 
   KexiRecentProjects.cpp 
   kexiinternalpart.cpp 
   kexidragobjects.cpp 
   kexistartupdata.cpp 
   kexiguimsghandler.cpp 
   kexitextmsghandler.cpp 
   kexidataiteminterface.cpp 
   kexidbshortcutfile.cpp 
   kexiblobbuffer.cpp 
   kexistaticpart.cpp
   kexitabledesignerinterface.cpp
   kexisearchandreplaceiface.cpp
   kexitemplateloader.cpp
   KexiRecordNavigatorHandler.cpp
   KexiRecordNavigatorIface.cpp
   KexiSearchableModel.cpp
)

kde4_add_library(kexicore SHARED ${kexicore_LIB_SRCS})

target_link_libraries(kexicore
  ${KDE4_KIO_LIBS}
  ${KDE4_KDEUI_LIBS}
  kexiutils
  kexidb
  ${CALLIGRADB_LIBS}
  ${KOPROPERTY_LIBS}
  kowidgetutils
)
target_link_libraries(kexicore LINK_INTERFACE_LIBRARIES kexiutils kexidb ${KOPROPERTY_LIBS})

set_target_properties(kexicore PROPERTIES
    VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION}
)
install(TARGETS kexicore  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== kexi/migration/CMakeLists.txt ===
include_directories( ${CMAKE_SOURCE_DIR}/kexi ${CMAKE_SOURCE_DIR}/kexi/core
  ${CMAKE_SOURCE_DIR}/kexi/widget ${CMAKE_BINARY_DIR}/kexi/widget
  ${CMAKE_SOURCE_DIR}/kexi/main/startup ${CMAKE_BINARY_DIR}/kexi/main
  ${KDE4_INCLUDES}
)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44000)

add_subdirectory(txt)

IF (MYSQL_FOUND)
  add_subdirectory( mysql )
ENDIF (MYSQL_FOUND)

IF (POSTGRESQL_FOUND AND PQXX_FOUND AND PQXX_VERSION VERSION_GREATER PQXX_MIN_VERSION AND PQXX_VERSION VERSION_LESS PQXX_MAX_VERSION)
  add_subdirectory( pqxx )
ENDIF (POSTGRESQL_FOUND AND PQXX_FOUND AND PQXX_VERSION VERSION_GREATER PQXX_MIN_VERSION AND PQXX_VERSION VERSION_LESS PQXX_MAX_VERSION)

IF(FREETDS_FOUND)
  add_subdirectory(sybase)
ENDIF(FREETDS_FOUND)

IF(XBASE_FOUND)
  add_subdirectory(xbase)
ENDIF(XBASE_FOUND)

macro_optional_find_package(GLIB2)

if (GLIB2_FOUND)
    add_subdirectory( mdb )
ENDIF(GLIB2_FOUND)

########### next target ###############

set(keximigrate_LIB_SRCS AlterSchemaTableModel.cpp 
   keximigrate.cpp 
   keximigratedata.cpp 
   migratemanager.cpp 
   importwizard.cpp
   importtablewizard.cpp
   importoptionsdlg.cpp
   AlterSchemaWidget.cpp)

kde4_add_library(keximigrate SHARED ${keximigrate_LIB_SRCS})

target_link_libraries(
    keximigrate
    kexicore
    kexidb
    kexiextendedwidgets
    keximain
    kexiutils
    ${CALLIGRADB_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDE3SUPPORT_LIBS}
    ${QT_QTGUI_LIBRARY}
    )

set_target_properties(keximigrate PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS keximigrate  ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(keximigratetest_SRCS keximigratetest.cpp )


kde4_add_executable(keximigratetest ${keximigratetest_SRCS})

target_link_libraries(keximigratetest  ${KDE4_KDECORE_LIBS} keximigrate kexicore kexidb kexiextendedwidgets keximain )

########### install files ###############

if(FALSE) # TODO: install when we move to independent place
    install( FILES  keximigrate.h keximigratedata.h migratemanager.h  DESTINATION ${INCLUDE_INSTALL_DIR}/kexidb COMPONENT Devel)
endif(FALSE)

install( FILES  keximigration_driver.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== kexi/widget/CMakeLists.txt ===
add_subdirectory( utils )
add_subdirectory( dataviewcommon )

IF(KEXI_MOBILE)

ELSE(KEXI_MOBILE)
  add_subdirectory( tableview )
  add_subdirectory( relations )
ENDIF(KEXI_MOBILE)

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44023)

include_directories( ${CMAKE_SOURCE_DIR}/kexi ${CMAKE_SOURCE_DIR}/kexi/widget/tableview ${CMAKE_SOURCE_DIR}/kexi/core ${KOMAIN_INCLUDES} ${CMAKE_SOURCE_DIR}/libs ${KDE4_INCLUDES}  ${CMAKE_SOURCE_DIR}/kexi/kexidb )


########### next target ###############

set(kexiextendedwidgets_LIB_SRCS
    fields/KexiFieldComboBox.cpp
    fields/KexiFieldListModel.cpp
    fields/KexiFieldListModelItem.cpp
    fields/KexiFieldListView.cpp

    navigator/KexiProjectModel.cpp
    navigator/KexiProjectModelItem.cpp
    navigator/KexiProjectItemDelegate.cpp
    navigator/KexiProjectNavigator.cpp
    navigator/KexiProjectTreeView.cpp

    properties/KexiCustomPropertyFactory.cpp
    properties/KexiCustomPropertyFactory_p.cpp
    properties/KexiPropertyEditorView.cpp
    properties/KexiPropertyPaneViewBase.cpp

    kexiquerydesignersqleditor.cpp 
    kexiqueryparameters.cpp
    kexisectionheader.cpp
    kexidbdrivercombobox.cpp 
    kexieditor.cpp 
    KexiDataSourceComboBox.cpp 
    KexiObjectInfoLabel.cpp
    kexicharencodingcombobox.cpp
    KexiDBTitlePage.cpp
    KexiProjectSelectorWidget.cpp
    kexislider.cpp
    KexiServerDriverNotFoundMessage.cpp
  )

IF (KEXI_MOBILE)

ELSE (KEXI_MOBILE)
  LIST(APPEND kexiextendedwidgets_LIB_SRCS
    #navigator/KexiProjectListView.cpp
    #navigator/KexiProjectListViewItem.cpp
    
    kexiscrollview.cpp 
    kexidbconnectionwidget.cpp 
  #   pixmapcollection.cpp 
# TODO replace use of KexiProjectListView and KexiProjectListViewList (with KexiProjectNavigator) 
#      in kexiactionselectiondialog and remove them
    kexiprjtypeselector.cpp
    KexiConnectionSelectorWidget.cpp
    KexiFileWidget.cpp
    KexiNameWidget.cpp
    KexiNameDialog.cpp
    KexiPasswordWidget.cpp
  )
  kde4_add_ui_files(kexiextendedwidgets_LIB_SRCS
    KexiConnectionSelector.ui
    kexidbconnectionwidget.ui
    kexidbconnectionwidgetdetails.ui
    kexiprjtypeselector.ui
    KexiPasswordWidget.ui
  )
ENDIF (KEXI_MOBILE)

kde4_add_ui_files(kexiextendedwidgets_LIB_SRCS
    KexiDBTitlePage.ui
    KexiProjectSelector.ui
)

kde4_add_library(kexiextendedwidgets SHARED ${kexiextendedwidgets_LIB_SRCS})

target_link_libraries(
    kexiextendedwidgets
    kexidataviewcommon
    kexiutils
    kexiguiutils
    kexicore
    ktexteditor
    kexidb
    ${CALLIGRADB_LIBS}
    ${KOPROPERTY_LIBS}
    ${KDE4_KDEUI_LIBS}
)

IF (KEXI_MOBILE)

ELSE(KEXI_MOBILE)
  target_link_libraries(
    kexiextendedwidgets
    ${KDE4_KFILE_LIBS}
    ${KDE4_KDE3SUPPORT_LIBS}
    ${QT_QT3SUPPORT_LIBRARY}
    )
ENDIF(KEXI_MOBILE)

set_target_properties(kexiextendedwidgets PROPERTIES VERSION ${GENERIC_CALLIGRA_LIB_VERSION} SOVERSION ${GENERIC_CALLIGRA_LIB_SOVERSION} )
install(TARGETS kexiextendedwidgets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
calligra (1:2.7.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1207172)
  * Drop qreal_double.patch as it is included in upstream
  * Fix multiple install files

 -- Howard Chan <smartboyhw@gmail.com>  Thu, 01 Aug 2013 12:22:07 +0800

=== debian/control ===
Source: calligra
Section: kde
# single application should be placed in more proper sections.
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adrien Grellier <adrien.grellier@laposte.net>,
 Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), pkg-kde-tools (>= 0.9),
 gcc-4.7,
 g++-4.7,
 kdelibs5-dev (>= 4:4.4.0),
 freetds-dev,
 kdepimlibs5-dev (>= 4:4.4.3),
 libattica-dev,
 libboost-dev,
 libeigen2-dev (>= 2.0~beta6),
 libexiv2-dev,
 libfftw3-dev,
 libglew-dev [!armel !armhf],
 libglib2.0-dev,
 libgsl0-dev,
 libicu-dev,
 libjpeg-dev,
# libkactivities-dev, #required version 6.1.0
 libkdcraw-dev (>= 4:4.4.3),
 liblcms2-dev,
 libmarble-dev (>> 4:4.8),
 libmysqlclient-dev,
 libopenexr-dev,
 libopenjpeg-dev,
 libpng-dev,
 libpoppler-private-dev,
 libpoppler-qt4-dev,
 libpq-dev,
 libpqxx3-dev,
 libqca2-dev,
 libqt4-dev,
 libqt4-opengl-dev,
 libqtwebkit-dev,
 libspnav-dev,
 libsqlite3-dev,
 libtiff-dev,
 libvisio-dev,
 libwps-dev,
 libxbase2.0-dev,
 libwpd-dev (>= 0.9.1),
 libwpg-dev (>= 0.2.0),
 okular-dev (>= 4:4.4.3),
 pstoedit,
 shared-desktop-ontologies,
 shared-mime-info,
 zlib1g-dev,
 libkactivities-dev,
 vc-dev (>= 0.7.2) [!powerpc !armhf],
 opengtl-dev,
 libqtgtl-dev,
 nepomuk-core-dev,
 libopencolorio-dev [!powerpc !armhf],
 libphononexperimental-dev
Standards-Version: 3.9.4
Homepage: http://www.calligra-suite.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/calligra
X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-std/calligra.git
X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/calligra.git

Package: calligra
Architecture: all
Depends: ${misc:Depends},
 braindump (>= ${source:Version}),
 calligraflow (>= ${source:Version}),
 calligraplan (>= ${source:Version}),
 calligrasheets (>= ${source:Version}),
 calligrastage (>= ${source:Version}),
 calligrawords (>= ${source:Version}),
 calligraauthor (>= ${source:Version}),
 karbon (>= ${source:Version}),
 kexi (>= ${source:Version}),
 krita (>= ${source:Version}),
# kthesaurus (>= ${source:Version})
Homepage: http://www.calligra-suite.org
Description: extensive productivity and creative suite
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This metapackage provides all the components of the Calligra Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}, calligra-libs (= ${binary:Version})
Recommends: pstoedit
Breaks: koffice-data (<< 1:2.4), calligra-data (<< 1:2.6.4-0ubuntu1)
Replaces: koffice-data (<< 1:2.4), calligra-data (<< 1:2.6.4-0ubuntu1)
Homepage: http://www.calligra-suite.org/karbon/
Description: vector graphics application for the Calligra Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
 .
  * Loading support for ODG, SVG, WMF, WPG, EPS/PS
  * Writing support for ODG, SVG, WMF, PNG, PDF
  * Customizable user interface with freely placeable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilities
  * Various drawing tools for creating path shapes including a draw path
    tool and a pencil tool, as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Many predefined basic shapes included, such as circle/ellipse, star or
    rectangle
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like Boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the Calligra Suite.

Package: kexi
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, calligra-libs (= ${binary:Version})
Suggests: kexi-calligrasheets-driver, kexi-mysql-driver, kexi-postgresql-driver, kexi-xbase-driver, kexi-sybase-driver
Replaces: koffice-doc-html
Conflicts: koffice-doc-html
Homepage: http://www.calligra-suite.org/kexi/
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-calligrasheets-driver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version}),
 calligrasheets (= ${binary:Version})
Description: Tables plugin for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Calligra Tables in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-xbase-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: XBase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for XBase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-sybase-driver
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (= ${binary:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: Sybase support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for Sybase in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (>= ${source:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: kexi-map-form-widget
Architecture: any
Section: database
Depends: ${misc:Depends}, ${shlibs:Depends}, kexi (>= ${source:Version})
Breaks: kexi (<< 1:2.3.70)
Replaces: kexi (<< 1:2.3.70)
Description: map form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a map widget for Kexi using the Marble library.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-web-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: web element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a web element for Calligra Reports, based on QtWebKit.
 .
 This package is part of the Calligra Suite.

Package: calligra-reports-map-element
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: map element for Calligra Reports
 Calligra Suite is a set of applications written to help you to accomplish
 your work. It includes office applications such as a word processor,
 a spreadsheet, a presentation program, a database application, etc., and
 raster and vector graphics tools.
 .
 This package provides a map element for Calligra Reports, based on the
 Marble library.
 .
 This package is part of the Calligra Suite.

Package: krita
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}, krita-data (>= ${source:Version}), calligra-libs (= ${binary:Version})
Suggests: khelpcenter4
Breaks: krita-data (<< 1:2.4)
Replaces: krita-data (<< 1:2.4)
